%global gdk_pixbuf2_version               2.36.5
%global gtk3_version                      3.3.6
%global gtk4_version                      4.4.0
%global glib2_version                     2.53.0
%global gsettings_desktop_schemas_version 3.27.0
%global po_package                        gnome-desktop-3.0

Name:           gnome-desktop3
Version:        43
Release:        1
Summary:        GNOME is designed to help you use your computer in control.
License:        GPLv2+ and LGPLv2+
URL:            https://gitlab.gnome.org/GNOME/gnome-desktop
Source0:        https://download.gnome.org/sources/gnome-desktop/43/gnome-desktop-%{version}.tar.xz
Source1:        gnome-mimeapps.list
Source2:        totem-defaults.list
Source3:        file-roller-defaults.list
Source4:        eog-defaults.list
Source5:        evince-defaults.list

Patch0:         make-inscript2-default-for-indic-languages.patch
Patch1:         gnome-desktop-3.38.6-sw.patch

BuildRequires:  gcc gettext gtk-doc itstool meson
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= %{gdk_pixbuf2_version}
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(gsettings-desktop-schemas) >= %{gsettings_desktop_schemas_version}
BuildRequires:  pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:  pkgconfig(gtk4) >= %{gtk4_version}
BuildRequires:  pkgconfig(libudev) pkgconfig(iso-codes) 
BuildRequires:  pkgconfig(libseccomp) pkgconfig(xkeyboard-config) 

Conflicts:      shared-mime-info < 2.0-4
Requires:       shared-mime-info

Requires:       bubblewrap
Requires:       gdk-pixbuf2%{?_isa} >= %{gdk_pixbuf2_version}
Requires:       glib2%{?_isa} >= %{glib2_version}
Requires:       gsettings-desktop-schemas >= %{gsettings_desktop_schemas_version}

Conflicts:      gnome-shell < 3.33.4

Provides:       gnome-desktop4
Provides:       gnome-desktop4%{?_isa} = %{version}-%{release}

%description
The gnome-desktop3 package has been designed from the ground up to help you have
the best computing experience.

%package devel
Summary:   Development files for gnome-desktop3
License:   LGPLv2+
Requires:  %{name} = %{version}-%{release}

Provides:  %{name}-tests = %{version}-%{release}
Obsoletes: %{name}-tests < %{version}-%{release}

Provides:  gnome-desktop4-devel
Provides:  gnome-desktop4-devel%{?_isa} = %{version}-%{release}


%description devel
Development files for gnome-desktop.

%prep
%autosetup -n gnome-desktop-%{version} -p1

%build
%meson -Dgtk_doc=true -Dinstalled_tests=true
%meson_build

%install
%meson_install
%delete_la_and_a

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-mimeapps.list
cat %SOURCE2 >> $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-mimeapps.list
cat %SOURCE3 >> $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-mimeapps.list
cat %SOURCE4 >> $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-mimeapps.list
cat %SOURCE5 >> $RPM_BUILD_ROOT/%{_datadir}/applications/gnome-mimeapps.list

%find_lang %{po_package} --all-name --with-gnome

%files -f %{po_package}.lang
%doc AUTHORS NEWS README.md
%license COPYING COPYING.LIB
%{_datadir}/applications/gnome-mimeapps.list
# LGPL
%{_libdir}/libgnome-desktop-3.so.20{,.*}
%{_libdir}/girepository-1.0/GnomeDesktop-3.0.typelib
%{_libexecdir}/gnome-desktop-debug/
%{_libdir}/libgnome-bg-4.so.2{,.*}
%{_libdir}/libgnome-desktop-4.so.2{,.*}
%{_libdir}/libgnome-rr-4.so.2{,.*}
%{_libdir}/girepository-1.0/Gnome*-4.0.typelib

%files devel
%{_libdir}/libgnome-desktop-3.so
%{_libdir}/pkgconfig/gnome-desktop-3.0.pc
%{_includedir}/gnome-desktop-3.0
%{_datadir}/gir-1.0/GnomeDesktop-3.0.gir
%dir %{_datadir}/gtk-doc/
%dir %{_datadir}/gtk-doc/html/
%doc %{_datadir}/gtk-doc/html/gnome-desktop3/
%{_libdir}/libgnome-*-4.so
%{_libdir}/pkgconfig/gnome-*-4.pc
%{_includedir}/gnome-desktop-4.0
%{_datadir}/gir-1.0/Gnome*-4.0.gir
%{_libexecdir}/installed-tests/gnome-desktop
%{_datadir}/installed-tests

%changelog
* Mon Jan 2 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 43-1
- Upgrade to 43

-* Thu Oct 20 2022 wuzx<wuzx1226@qq.com> - 42.2-2
-- add sw64 patch

* Wed Jun 8 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.2-1
- Upgrade to 42.2

* Mon Jun 6 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.1-1
- Upgrade to 42.1

* Mon Mar 28 2022 lin zhang <lin.zhang@turbolinux.com.cn> - 42.0-1
- Update to 42.0

* Mon May 24 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.6-1
- Upgrade to 3.38.6
- Update Version, BuildRequires, stage install

* Sat Jan 30 2021 yanglu <yanglu60@huawei.com> - 3.38.3-1
- update to 3.38.3

* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.30.1-3
- change the path of files

* Wed Sep 18 2019 Lijin Yang <yanglijin@huawei.com> - 3.30.1-2
- Package init
